<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Cogl deprecated API</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl Reference Manual">
<link rel="up" href="index.html" title="Cogl Reference Manual">
<link rel="prev" href="cogl-Quaternions-(Rotations).html" title="Quaternions (Rotations)">
<link rel="next" href="cogl-General-API-(Deprecated).html" title="General API (Deprecated)">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
<td><a accesskey="p" href="cogl-Quaternions-(Rotations).html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td> </td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">Cogl Reference Manual</th>
<td><a accesskey="n" href="cogl-General-API-(Deprecated).html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="idm140727929384800"></a>Cogl deprecated API</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt><span class="section"><a href="ch03.html#cogl-deprecated">About the deprecated API</a></span></dt>
<dt>
<span class="refentrytitle"><a href="cogl-General-API-(Deprecated).html">General API (Deprecated)</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Textures-(Deprecated).html">Textures (Deprecated)</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Materials-(Deprecated).html">Materials (Deprecated)</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Clipping-(Deprecated).html">Clipping (Deprecated)</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Vertex-Buffers-(Deprecated).html">Vertex Buffers (Deprecated)</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Shaders-and-Programmable-Pipeline-(Deprecated).html">Shaders and Programmable Pipeline (Deprecated)</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Offscreen-Buffers-(Deprecated).html">Offscreen Buffers (Deprecated)</a></span><span class="refpurpose"></span>
</dt>
</dl></div>
<div class="section">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="cogl-deprecated"></a>About the deprecated API</h2></div></div></div>
<p>Cogl has evolved from once being a thin abstraction over
      OpenGL and GLES where a lot of OpenGL's state machine style APIs
      were simply rebranded as Cogl API into the more distinguished API
      style we have today. The result of this evolution though is that
      some of the APIs are considered deprecated and because we plan to
      remove them at the next opportunity we have to break the API
      developers should aim to avoid these functions to keep their code
      working with future major versions of Cogl.</p>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>